
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Cube()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "cube.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "8\t6\t24\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, "-0.50 -0.50 -0.50\n" );
    fprintf( fp, "-0.50 -0.50 0.50\n" );
    fprintf( fp, "-0.50 0.50 -0.50\n" );
    fprintf( fp, "-0.50 0.50 0.50\n" );
    fprintf( fp, "0.50 -0.50 -0.50\n" );
    fprintf( fp, "0.50 -0.50 0.50\n" );
    fprintf( fp, "0.50 0.50 -0.50\n" );
    fprintf( fp, "0.50 0.50 0.50\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "4 1 2 4 3\n" );
    fprintf( fp, "4 2 6 8 4\n" );
    fprintf( fp, "4 4 8 7 3\n" );
    fprintf( fp, "4 3 7 5 1\n" );
    fprintf( fp, "4 1 5 6 2\n" );
    fprintf( fp, "4 6 5 7 8\n" );

    fclose( fp );
}
